Skip to main content
`Ctrl`+`K`

# PetscPartitionerMultistageStrategy

indicates what type of strategy to use

## Synopsis

    typedef enum {
      PETSCPARTITIONER_MS_STRATEGY_NODE,
      PETSCPARTITIONER_MS_STRATEGY_MSECTION
    } PetscPartitionerMultistageStrategy;

## Values

- `PETSCPARTITIONER_MS_STRATEGY_NODE` - Use node-aware stages

- `PETSCPARTITIONER_MS_STRATEGY_MSECTION` - Use recursive m-sections

## See Also

`PetscPartitionerSetType()`, `PetscPartitioner`, `PETSCPARTITIONERMULTISTAGE`

## Level

intermediate

## Location

include/petscpartitioner.h

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages